# $Revision: 1.34 $, $Date: 2012/01/13 14:48:46 $
Summary:	Image procesor
Summary(pl.UTF-8):	Procesor grafiki
Name:		fotoxx
Version:	11.04
Release:	2
License:	GPL v3
Group:		Applications
Source0:	http://kornelix.squarespace.com/storage/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	535f78b5000ee117b2c91c1bee94145e
Patch0:		%{name}-Makefile.patch
Patch1:		%{name}-desktop.patch
URL:		http://kornelix.squarespace.com/fotoxx
BuildRequires:	FreeImage-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libstdc++-devel
BuildRequires:	perl-Image-ExifTool
BuildRequires:	pkgconfig
BuildRequires:	ufraw
BuildRequires:	xdg-utils
Suggests:	perl-Image-ExifTool
Suggests:	ufraw
Suggests:	xdg-utils
Obsoletes:	fotox
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Fotoxx is a free open-source Linux program for improving image files
made with a digital camera.

Appart from standard operations it allows to:
  - generate thumbnails
  - fix red-eyes
  - fix perspective
  - make panoramas and HDR images

%description -l pl.UTF-8
Fotoxxm to wolne oprogramowanie open-source umożliwiające manipulacje
grafiką.

Oprócz standardowej obróbki zdjęć, umożliwia min.:
  - generowanie miniaturek
  - usuwanie efektu czerwonych oczu
  - tworzenie zdjęć panoramicznych
  - generowanie zdjęć HDR

%prep
%setup -q
#%patch0 -p1
#%patch1 -p1

%build
%{__make} \
	CXX="%{__cxx}" \
	OPTCFLAGS="%{rpmcflags}" \
	OPTLDFLAGS="%{rpmldflags}" \
	DOCDIR=%{_docdir}/%{name}-%{version} \
	PREFIX=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

install -d $RPM_BUILD_ROOT%{_mandir}/man1/
cp desktop $RPM_BUILD_ROOT%{_desktopdir}/kornelix-%{name}.desktop
cp doc/%{name}.man $RPM_BUILD_ROOT%{_mandir}/man1/fotoxx.1

%{__make} install \
	PREFIX=%{_prefix} \
	DOCDIR=%{_docdir}/%{name}-%{version} \
	DESKTOP=$RPM_BUILD_ROOT%{_desktopdir}/kornelix-%{name}.desktop \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/{CHANGES,README,TRANSLATIONS,userguide-en.html}
#%lang(es) %doc doc/userguide-es.html
#%lang(fr) %doc doc/userguide-fr.html
#%lang(gl) %doc doc/userguide-gl.html
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/icons
%dir %{_datadir}/%{name}/locales
%lang(de) %{_datadir}/%{name}/locales/de
%lang(es) %{_datadir}/%{name}/locales/es
%lang(fr) %{_datadir}/%{name}/locales/fr
%lang(gl) %{_datadir}/%{name}/locales/gl
%lang(it) %{_datadir}/%{name}/locales/it
%lang(zh_CN) %{_datadir}/%{name}/locales/zh_CN
%{_desktopdir}/kornelix-%{name}.desktop
%{_mandir}/man1/*.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fotoxx.spec,v $
Revision 1.34  2012/01/13 14:48:46  arekm
- release 2

Revision 1.33  2011/04/01 23:38:43  wrobell
- ver. 11.04

Revision 1.32  2011/01/27 21:26:14  sparky
- BR: libstdc++-devel

Revision 1.31  2010/05/24 20:54:19  sls
- Obsoletes: fotox

Revision 1.30  2010/03/15 08:10:27  amateja
- updated to 9.7

Revision 1.29  2010/02/22 07:14:51  amateja
- updated to 9.6

Revision 1.28  2010/02/09 07:50:50  amateja
- updated to 9.5

Revision 1.27  2010/01/20 09:09:55  amateja
- updated to 9.4

Revision 1.26  2010/01/08 13:20:41  amateja
- replaced sed with patch and fixed another one bug in desktop file
- release 2

Revision 1.25  2010/01/08 12:47:35  amateja
- updated to 9.2
- fixed desktop file

Revision 1.24  2009/12/28 08:46:22  amateja
- updated to 9.1

Revision 1.23  2009/12/15 09:14:13  amateja
- updated to 9.0

Revision 1.22  2009/12/04 12:38:16  amateja
- updated to 8.8

Revision 1.21  2009/11/26 14:20:38  sparky
- BR: gtk+2-devel, pkgconfig
- added Makefile patch
- use __cxx and rpmldflags

Revision 1.20  2009/11/26 12:53:58  amateja
-updated to 8.7

Revision 1.19  2009/11/02 07:13:50  amateja
- updated to 8.6.2

Revision 1.18  2009/10/27 07:20:23  amateja
- updated to 8.6.1

Revision 1.17  2009/10/15 06:29:54  amateja
- updated to 8.6

Revision 1.16  2009/10/08 11:21:34  amateja
- updated to 8.5.2

Revision 1.15  2009/10/05 19:09:45  amateja
- updated to 8.5.1

Revision 1.14  2009/09/23 06:17:04  amateja
- updated to 8.4.3
- added italian locale

Revision 1.13  2009/09/21 17:31:50  lmasko
- Up to 8.4.2.

Revision 1.12  2009/09/08 14:44:18  gotar
- moved desktop file into proper directory (removed patch),
- marked docs and translations with proper langs,
- added Suggests, updated License,
- release 2

Revision 1.11  2009/09/07 11:57:53  amateja
- updated to 8.3
- added patch0
- minor cleanup in %files section (got rid of old doc files)

Revision 1.10  2009/09/04 07:10:04  amateja
- reverted

Revision 1.7  2009/06/28 17:27:10  gotar
- upgraded to 7.3,
- correct %_prefix, pass CFLAGS

Revision 1.6  2009/06/15 12:31:57  amateja
- updated to 7.0

Revision 1.5  2009/06/05 06:18:46  amateja
- updated to 6.9.3

Revision 1.4  2009/05/23 15:21:50  amateja
- updated to 6.9.2

Revision 1.3  2009/05/18 06:45:51  amateja
- updated to 6.8

Revision 1.2  2009/05/13 08:00:23  amateja
- updated to 6.7.3
- updated Source0 url
- added BR FreeImage-devel perl-Image-ExifTool ufraw xdg-utils
- added a few words in %description section
- adapterized

Revision 1.1  2008/10/14 12:24:52  spider
- new, NFY
